## grendel.composition
Interface CompositionPanelListener

public abstract interface CompositionPanelListener
extends java.util.EventListener

Method Summary
`void` | `doneSendingMail(javax.swing.event.ChangeEvent aEvent)`
`void` | `sendFailed(javax.swing.event.ChangeEvent aEvent)`
`void` | `sendingMail(javax.swing.event.ChangeEvent aEvent)`

Method Detail

### sendingMail

    public void sendingMail(javax.swing.event.ChangeEvent aEvent)

### doneSendingMail

    public void doneSendingMail(javax.swing.event.ChangeEvent aEvent)

### sendFailed

    public void sendFailed(javax.swing.event.ChangeEvent aEvent)